One form’s draft (definition, settings, lead settings, theme), its live URL and the publish checks. is the uuid, the public id or the key.
GET /api/forms/{id}, API key scope read. Also available as the get_form MCP tool.One form’s draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"ManyPI Docs","colors":{"primary":"#0281FF","light":"#4DA8FF","dark":"#0281FF"},"logo":{"light":"https://mintcdn.com/manypi/_7jLWGmLoadU_kJP/logo/manypi-logo.webp?fit=max\u0026auto=format\u0026n=_7jLWGmLoadU_kJP\u0026q=85\u0026s=d05229286318fbc3667bc7b1a6a5cc36","dark":"https://mintcdn.com/manypi/_7jLWGmLoadU_kJP/logo/manypi-logo.webp?fit=max\u0026auto=format\u0026n=_7jLWGmLoadU_kJP\u0026q=85\u0026s=d05229286318fbc3667bc7b1a6a5cc36"},"favicon":"https://mintcdn.com/manypi/kOJ24XdpthWJTMgm/manypi-icon.svg?fit=max\u0026auto=format\u0026n=kOJ24XdpthWJTMgm\u0026q=85\u0026s=3783ef22aa3c290bd1ec491ac747db93","navbar":{"links":[{"href":"mailto:support@manypi.com","label":"Support"}],"primary":{"type":"button","label":"Homepage","href":"https://manypi.com"}},"footer":{"socials":{"x":"https://x.com/manypicom","linkedin":"https://linkedin.com/company/manypi"}},"contextual":{"options":["copy","view","chatgpt","claude","perplexity","mcp","cursor","vscode"],"display":"header"},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"Changelog","icon":"book-open-cover","href":"https://manypi.com/changelog"},{"anchor":"Blog","icon":"newspaper","href":"https://manypi.com/blog"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"manypi","hasAudioNarration":false,"actualSubdomain":"manypi","customDomains":["docs.manypi.com"],"gitSource":{"type":"github","owner":"olemaide","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{},"buildId":"6af7b8ddd3315ae99f75d955","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API reference","count":88},{"language":"default","tag":"Integrations","count":41},{"language":"default","tag":"MCP Server","count":30},{"language":"default","tag":"Guides","count":22},{"language":"default","tag":"Outreach","count":22},{"language":"default","tag":"Leads","count":20},{"language":"default","tag":"Forms","count":13},{"language":"default","tag":"Agent","count":11},{"language":"default","tag":"Endpoints","count":8},{"language":"default","tag":"Tool reference","count":8}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":"#topbar-cta-button a>span:first-child{background-color:rgb(125 211 252 / 0.3);border-radius:9999px;opacity:1}#topbar-cta-button a:hover>span:first-child{background-color:rgb(125 211 252 / 0.45);opacity:1}#topbar-cta-button a .text-white,#topbar-cta-button a svg{color:#0369a1;font-weight:600}.dark #topbar-cta-button a>span:first-child{background-color:rgb(56 189 248 / 0.2)}.dark #topbar-cta-button a:hover>span:first-child{background-color:rgb(56 189 248 / 0.3)}.dark #topbar-cta-button a .text-white,.dark #topbar-cta-button a svg{color:#bae6fd}"}],"page":{"pagePath":"api-reference/forms/get-form","slug":"/api-reference/forms/get-form","pageMetadata":{"title":"Get form","description":"One form's draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.","href":"/api-reference/forms/get-form"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx, jsxs: _jsxs} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsxs(_components.p, {\n children: [\"One form’s draft (definition, settings, lead settings, theme), its live URL and the publish checks. \", \" is the uuid, the public id or the key.\"]\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{CodeBlock,Heading,Table}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Table)_missingMdxReference(`Table`,true);return _jsxs(_Fragment,{children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`GET /api/forms/{id}`}),`, API key scope `,_jsx(_components.code,{children:`read`}),`. Also available as the `,_jsx(_components.code,{children:`get_form`}),` MCP tool.`]}),`\n`,_jsxs(_components.p,{children:[`One form’s draft (definition, settings, lead settings, theme), its live URL and the publish checks. `,_jsx(_components.code,{children:`{id}`}),` is the uuid, the public id or the key.`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Parameter`}),_jsx(_components.th,{children:`In`}),_jsx(_components.th,{children:`Description`})]})}),_jsx(_components.tbody,{children:_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsx(_components.td,{children:`path`}),_jsx(_components.td,{children:`Form uuid, public id or key`})]})})]}),`\n`,_jsx(Heading,{level:`2`,id:`example`,children:`Example`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://app.manypi.com/api/forms/{id}\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Authorization: Bearer `}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$MANYPI_API_KEY`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`1`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`1`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{ `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"form\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"…\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"definition\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"version\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"blocks\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [ `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`…`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ] }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"settings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`…`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"lead_settings\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`…`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"theme\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#82071E`,\"--shiki-light-font-style\":`italic`,\"--shiki-dark\":`#F44747`,\"--shiki-dark-font-style\":`inherit`},children:`…`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` } }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"url\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://…/to/Ab3dE9xZ\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"issues\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [], `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"unpublishedChanges\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`false`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Get form","description":"One form's draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.","href":"/api-reference/forms/get-form"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Example","slug":"example","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"subdomain":"manypi","siteName":"ManyPI Docs","title":"Get form - ManyPI Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-13T05:40:20.265Z","originalFileLocation":"api-reference/forms/get-form.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"One form\u0026#x27;s draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.\">\u003cmeta data-mint-head name=\"application-name\" content=\"ManyPI Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Get form - ManyPI Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"One form\u0026#x27;s draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"ManyPI Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.manypi.com/api-reference/forms/get-form\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://manypi.mintlify.site/_mintlify/api/og/v2?division=Forms\u0026amp;title=Get+form\u0026amp;description=One+form%27s+draft+%28definition%2C+settings%2C+lead+settings%2C+theme%29%2C+its+live+URL+and+the+publish+checks.+%7Bid%7D+is+the+uuid%2C+the+public+id+or+the+key.\u0026amp;theme=8dd8429bf0906723bde2bc3d\u0026amp;signature=156d9ec7bdd9e0f4a6f617f1a6b9e485fa63f30f5ba5c665e0c4717c56bf274c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Get form - ManyPI Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"One form\u0026#x27;s draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://manypi.mintlify.site/_mintlify/api/og/v2?division=Forms\u0026amp;title=Get+form\u0026amp;description=One+form%27s+draft+%28definition%2C+settings%2C+lead+settings%2C+theme%29%2C+its+live+URL+and+the+publish+checks.+%7Bid%7D+is+the+uuid%2C+the+public+id+or+the+key.\u0026amp;theme=8dd8429bf0906723bde2bc3d\u0026amp;signature=156d9ec7bdd9e0f4a6f617f1a6b9e485fa63f30f5ba5c665e0c4717c56bf274c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/manypi/LGqWGcp4YVw7OsTl/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"ManyPI Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#0281FF\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.manypi.com/api-reference/forms/get-form\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/forms/get-form.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.manypi.com/#organization\",\"name\":\"ManyPI Docs\",\"url\":\"https://docs.manypi.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/manypi/_7jLWGmLoadU_kJP/logo/manypi-logo.webp?fit=max\u0026auto=format\u0026n=_7jLWGmLoadU_kJP\u0026q=85\u0026s=d05229286318fbc3667bc7b1a6a5cc36\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.manypi.com#website\",\"name\":\"ManyPI Docs\",\"url\":\"https://docs.manypi.com\",\"publisher\":{\"@id\":\"https://docs.manypi.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.manypi.com/api-reference/forms/get-form#webpage\",\"url\":\"https://docs.manypi.com/api-reference/forms/get-form\",\"name\":\"Get form\",\"description\":\"One form's draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.\",\"dateModified\":\"2026-11-13T05:40:20.265Z\",\"isPartOf\":{\"@id\":\"https://docs.manypi.com#website\"},\"breadcrumb\":{\"@id\":\"https://docs.manypi.com/api-reference/forms/get-form#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.manypi.com/api-reference/forms/get-form#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Forms\",\"item\":\"https://docs.manypi.com/api-reference/forms/list-forms\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Get form\",\"item\":\"https://docs.manypi.com/api-reference/forms/get-form\"}]},{\"@type\":[\"Article\",\"TechArticle\"],\"@id\":\"https://docs.manypi.com/api-reference/forms/get-form#article\",\"headline\":\"Get form\",\"name\":\"Get form\",\"description\":\"One form's draft (definition, settings, lead settings, theme), its live URL and the publish checks. {id} is the uuid, the public id or the key.\",\"url\":\"https://docs.manypi.com/api-reference/forms/get-form\",\"mainEntityOfPage\":{\"@id\":\"https://docs.manypi.com/api-reference/forms/get-form#webpage\"},\"dateModified\":\"2026-11-13T05:40:20.265Z\",\"publisher\":{\"@id\":\"https://docs.manypi.com/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.manypi.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"ManyPI Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"ManyPI Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/forms/get-form.md","siteName":"ManyPI Docs","nav":{"global":{"anchors":[{"anchor":"Changelog","icon":"book-open-cover","href":"https://manypi.com/changelog"},{"anchor":"Blog","icon":"newspaper","href":"https://manypi.com/blog"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/overview"}]},{"tab":"API reference","groups":[{"group":"Overview","pages":[{"title":"Introduction","href":"/api-reference/introduction"}]},{"group":"Leads","pages":[{"title":"List leads","openapi":"GET /api/leads","href":"/api-reference/leads/list-leads"},{"title":"Get a lead","openapi":"GET /api/leads/{id}","href":"/api-reference/leads/get-lead"},{"title":"Bulk update leads","openapi":"PATCH /api/leads","href":"/api-reference/leads/bulk-update-leads"},{"title":"Bulk delete leads","openapi":"DELETE /api/leads","href":"/api-reference/leads/bulk-delete-leads"},{"title":"Update a lead","openapi":"PATCH /api/leads/{id}","href":"/api-reference/leads/update-lead"},{"title":"Delete a lead","openapi":"DELETE /api/leads/{id}","href":"/api-reference/leads/delete-lead"},{"title":"Start a lead search","openapi":"POST /api/leads/research","href":"/api-reference/leads/start-research"},{"title":"List saved searches","openapi":"GET /api/leads/research-profiles","href":"/api-reference/leads/list-research-profiles"},{"title":"Create or update a saved search","openapi":"POST /api/leads/research-profiles","href":"/api-reference/leads/save-research-profile"},{"title":"Update a saved search","openapi":"PATCH /api/leads/research-profiles/{id}","href":"/api-reference/leads/update-research-profile"},{"title":"Delete a saved search","openapi":"DELETE /api/leads/research-profiles/{id}","href":"/api-reference/leads/delete-research-profile"},{"title":"Import leads","openapi":"POST /api/leads/import","href":"/api-reference/leads/import-leads"},{"title":"Find company websites","openapi":"POST /api/leads/web-search","href":"/api-reference/leads/find-company-sites"},{"title":"Export leads","openapi":"GET /api/leads/export","href":"/api-reference/leads/export-leads"},{"title":"Export chosen leads","openapi":"POST /api/leads/export","href":"/api-reference/leads/export-chosen-leads"},{"title":"Get lead capacity","openapi":"GET /api/leads/capacity","href":"/api-reference/leads/get-capacity"},{"title":"List custom columns","openapi":"GET /api/leads/fields","href":"/api-reference/leads/list-fields"},{"title":"Declare a custom column","openapi":"POST /api/leads/fields","href":"/api-reference/leads/create-field"},{"title":"Update a custom column","openapi":"PATCH /api/leads/fields/{id}","href":"/api-reference/leads/update-field"},{"title":"Delete a custom column","openapi":"DELETE /api/leads/fields/{id}","href":"/api-reference/leads/delete-field"}]},{"group":"Email validation","pages":[{"title":"Verify email addresses","openapi":"POST /api/leads/validate","href":"/api-reference/validation/verify-emails"},{"title":"List validation jobs","openapi":"GET /api/leads/validate","href":"/api-reference/validation/list-jobs"},{"title":"Get a validation job","openapi":"GET /api/leads/validate/{jobId}","href":"/api-reference/validation/get-job"}]},{"group":"Outreach","pages":[{"title":"List sending inboxes","openapi":"GET /api/outreach/inboxes","href":"/api-reference/outreach/list-inboxes"},{"title":"List sequences","openapi":"GET /api/outreach/sequences","href":"/api-reference/outreach/list-sequences"},{"title":"Create a sequence","openapi":"POST /api/outreach/sequences","href":"/api-reference/outreach/create-sequence"},{"title":"Update a sequence","openapi":"PATCH /api/outreach/sequences","href":"/api-reference/outreach/update-sequence"},{"title":"Delete a sequence","openapi":"DELETE /api/outreach/sequences","href":"/api-reference/outreach/delete-sequence"},{"title":"Draft an email with AI","openapi":"POST /api/outreach/generate","href":"/api-reference/outreach/generate-email"},{"title":"List campaigns","openapi":"GET /api/outreach/campaigns","href":"/api-reference/outreach/list-campaigns"},{"title":"Create a campaign","openapi":"POST /api/outreach/campaigns","href":"/api-reference/outreach/create-campaign"},{"title":"Update a campaign","openapi":"PATCH /api/outreach/campaigns","href":"/api-reference/outreach/update-campaign"},{"title":"Launch a campaign","openapi":"POST /api/outreach/campaigns/{id}/launch","href":"/api-reference/outreach/launch-campaign"},{"title":"Delete a campaign","openapi":"DELETE /api/outreach/campaigns","href":"/api-reference/outreach/delete-campaign"},{"title":"Get campaign analytics","openapi":"GET /api/outreach/campaigns/{id}","href":"/api-reference/outreach/get-campaign"},{"title":"Enroll leads into a campaign","openapi":"POST /api/outreach/enroll","href":"/api-reference/outreach/enroll-leads"},{"title":"Remove leads from a campaign","openapi":"DELETE /api/outreach/enroll","href":"/api-reference/outreach/unenroll-leads"},{"title":"Send a one-off email","openapi":"POST /api/outreach/send","href":"/api-reference/outreach/send-email"},{"title":"Get outreach stats","openapi":"GET /api/outreach/stats","href":"/api-reference/outreach/get-stats"},{"title":"List replies","openapi":"GET /api/outreach/replies","href":"/api-reference/outreach/list-replies"},{"title":"Get reply insights","openapi":"GET /api/outreach/insights","href":"/api-reference/outreach/get-insights"},{"title":"Generate reply insights","openapi":"POST /api/outreach/insights","href":"/api-reference/outreach/generate-insights"},{"title":"List suppressed addresses","openapi":"GET /api/outreach/suppressions","href":"/api-reference/outreach/list-suppressions"},{"title":"Suppress addresses","openapi":"POST /api/outreach/suppressions","href":"/api-reference/outreach/add-suppressions"},{"title":"Unsuppress an address","openapi":"DELETE /api/outreach/suppressions","href":"/api-reference/outreach/remove-suppression"}]},{"group":"Imports","pages":[{"title":"Scan another tool","openapi":"POST /api/integrations/migrations","href":"/api-reference/imports/scan-import"},{"title":"Start an import","openapi":"POST /api/integrations/migrations/{id}","href":"/api-reference/imports/start-import"},{"title":"Get an import","openapi":"GET /api/integrations/migrations/{id}","href":"/api-reference/imports/get-import"},{"title":"List imports","openapi":"GET /api/integrations/migrations","href":"/api-reference/imports/list-imports"},{"title":"Advance an import","openapi":"POST /api/integrations/migrations/{id}/advance","href":"/api-reference/imports/advance-import"},{"title":"Cancel an import","openapi":"DELETE /api/integrations/migrations/{id}","href":"/api-reference/imports/cancel-import"}]},{"group":"Agent","pages":[{"title":"Create an agent run","openapi":"POST /api/agents/runs","href":"/api-reference/agent/create-run"},{"title":"List agent runs","openapi":"GET /api/agents/runs","href":"/api-reference/agent/list-runs"},{"title":"Get an agent run","openapi":"GET /api/agents/runs/{id}","href":"/api-reference/agent/get-run"},{"title":"List run events","openapi":"GET /api/agents/runs/{id}/events","href":"/api-reference/agent/list-run-events"},{"title":"Delete an agent run","openapi":"DELETE /api/agents/runs/{id}","href":"/api-reference/agent/delete-run"},{"title":"Reply to an agent run","openapi":"POST /api/agents/runs/{id}/reply","href":"/api-reference/agent/reply-to-run"},{"title":"Cancel an agent run","openapi":"POST /api/agents/runs/{id}/cancel","href":"/api-reference/agent/cancel-run"},{"title":"List skills","openapi":"GET /api/skills","href":"/api-reference/agent/list-skills"},{"title":"Create a skill","openapi":"POST /api/skills","href":"/api-reference/agent/create-skill"},{"title":"Update a skill","openapi":"PATCH /api/skills/{id}","href":"/api-reference/agent/update-skill"},{"title":"Delete a skill","openapi":"DELETE /api/skills/{id}","href":"/api-reference/agent/delete-skill"}]},{"group":"Forms","pages":[{"title":"List forms","description":"The workspace's forms with status, live URL, views, starts, completed responses and open drafts, plus the plan's form usage.","href":"/api-reference/forms/list-forms"},{"title":"Get form","href":"/api-reference/forms/get-form"},{"title":"Create form","description":"Creates a draft. Without a definition it starts empty: a welcome screen and a thank-you ending. Definitions follow the JSON Schema at https://embed.usemany","href":"/api-reference/forms/create-form"},{"title":"Update form","href":"/api-reference/forms/update-form"},{"title":"Publish form","href":"/api-reference/forms/publish-form"},{"title":"Close or reopen form","href":"/api-reference/forms/close-form"},{"title":"Get form responses","href":"/api-reference/forms/get-form-responses"},{"title":"Get form analytics","href":"/api-reference/forms/get-form-analytics"},{"title":"Get form embed code","href":"/api-reference/forms/get-form-embed-code"},{"title":"List form drafts","href":"/api-reference/forms/list-form-drafts"},{"title":"Merge or discard drafts","href":"/api-reference/forms/merge-form-drafts"}]},{"group":"Scraping","pages":[{"title":"List scrapers","openapi":"GET /api/scrapers","href":"/api-reference/scraping/list-scrapers"},{"title":"Run a scraper","openapi":"POST /api/scrape/{scraperId}","href":"/api-reference/scraping/run-scraper"},{"title":"Get a scraper run","openapi":"GET /api/runs/{runId}","href":"/api-reference/scraping/get-scraper-run"},{"title":"Get scraper run results","openapi":"GET /api/{scraperId}/data/{runId}","href":"/api-reference/scraping/get-scraper-run-data"},{"title":"List scraper runs","openapi":"GET /api/runs","href":"/api-reference/scraping/list-scraper-runs"}]},{"group":"Endpoints","pages":[{"title":"List API endpoints","openapi":"GET /api/endpoints","href":"/api-reference/endpoints/list-endpoints"},{"title":"Create an API endpoint","openapi":"POST /api/endpoints","href":"/api-reference/endpoints/create-endpoint"},{"title":"Get an endpoint","openapi":"GET /api/endpoints/{id}","href":"/api-reference/endpoints/get-endpoint"},{"title":"Update an endpoint","openapi":"PATCH /api/endpoints/{id}","href":"/api-reference/endpoints/update-endpoint"},{"title":"Delete an endpoint","openapi":"DELETE /api/endpoints/{id}","href":"/api-reference/endpoints/delete-endpoint"},{"title":"Invoke an endpoint","openapi":"GET /v1/e/{slug}","href":"/api-reference/endpoints/invoke-endpoint"},{"title":"Invoke an endpoint with a JSON body","openapi":"POST /v1/e/{slug}","href":"/api-reference/endpoints/invoke-endpoint-post"},{"title":"Get an endpoint result","openapi":"GET /v1/e/{slug}/results/{runId}","href":"/api-reference/endpoints/get-endpoint-result"}]},{"group":"Account","pages":[{"title":"Validate a key / get account info","openapi":"GET /api/user","href":"/api-reference/account/get-user"}]}]},{"tab":"MCP Server","pages":[{"title":"MCP Server","href":"/mcp/introduction"}]}]},"basePath":"","title":"Get form - ManyPI Docs","buildId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","deploymentId":"dpl_G2Qd45vZZ7MkBiGF9yYx8ZsbbKXX","dynamics":[],"chunks":[]}